1

Тема: Помогите написать ебилд для rpm

Речь идёт вот об этой программе

Я установил его через rpm, но лучше бы, конечно, через ебилд. Я не смог разобраться с чехардой рабочих каталогов при установке. Что нужно писать дальше?

# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4

inherit kde4-base rpm

DESCRIPTION="Retro terminals emulator based on Konsole."
HOMEPAGE="https://github.com/Swordfish90/cool-retro-term"
SRC_URI="http://download.opensuse.org/repositories/home:/KAMiKAZOW:/Fedora/Fedora_20/x86_64/cool-retro-term-0.9.20140914-3.1.x86_64.rpm"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

DEPEND="$(add_kdebase_dep konsole)
            dev-qt/qtgraphicaleffects:5
        dev-qt/qtquickcontrols:5[widgets]
                "
RDEPEND="${DEPEND}"

2

Re: Помогите написать ебилд для rpm

Если с английским в ладах
http://devmanual.gentoo.org/ebuild-writing/index.html

3

Re: Помогите написать ебилд для rpm

fragment, зачем rpm? там же сорцы доступны...
правда учитывая qt5 могут быть проблемы...

Собственно всё украдено до нас: https://github.com/Swordfish90/cool-ret … /issues/76